summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Quinn <code@danielquinn.org>2016-04-19 16:47:52 +0100
committerPatrice Clement <monsieurp@gentoo.org>2016-04-19 17:27:31 +0000
commit4d205e923c3acd11b0f69781f72369fdb7d7b24e (patch)
tree929970350e102945f46b6aefdf65821be47dd235
parentdev-python/nose: Bump v. 1.3.7-r1 to EAPI 6 (diff)
downloadgentoo-4d205e923c3acd11b0f69781f72369fdb7d7b24e.tar.gz
gentoo-4d205e923c3acd11b0f69781f72369fdb7d7b24e.tar.bz2
gentoo-4d205e923c3acd11b0f69781f72369fdb7d7b24e.zip
net-analyzer/ripe-atlas-tools: Fixed dependencies for net-libs/ripe-atlas-sagan and www-client/ripe-atlas-cousteau
Closes: https://github.com/gentoo/gentoo/pull/1307 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
-rw-r--r--net-analyzer/ripe-atlas-tools/Manifest1
-rw-r--r--net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3-r1.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/net-analyzer/ripe-atlas-tools/Manifest b/net-analyzer/ripe-atlas-tools/Manifest
index 9ea5ec9c3cd..6ef6a5ed38b 100644
--- a/net-analyzer/ripe-atlas-tools/Manifest
+++ b/net-analyzer/ripe-atlas-tools/Manifest
@@ -3,5 +3,6 @@ DIST ripe.atlas.tools-1.2.2.tar.gz 84242 SHA256 93f86d1177b3dc4dd9ac89f08b77d808
DIST ripe.atlas.tools-1.2.3.tar.gz 86364 SHA256 fa93796623789fbcc2ed651297a704da4d3239b5eed13d637ba1361efccecc1c SHA512 f9e3b94ac9561faf0f6738099a0511b5aedb3b0d3230997a8033b8a1a804b885169891de8f408933ad90e3d4543375741657d9989fef09548d9cc8f0d9920e66 WHIRLPOOL dbdcfd801a3e1a3af3271d5f4e12cd068494d50cc442150eded4a805a9871360ee93bffb5118ef10b3806d3ac4bfc0a9f36964b7a54fb60d01fe78b0b70b9112
EBUILD ripe-atlas-tools-1.2.1.ebuild 1277 SHA256 4734ec06ada6c5605dce4366129f29a647d53332d606da4e5883b11a93aeb270 SHA512 b24356a67c1aadb40e2b25f94ced2858b4b6a0f7896dbf411cb85bdb6ee11aba365ede9e2cc64c4c6c4a4631906307c99ed106302439640b01882840bab8cb61 WHIRLPOOL 9c159873251231b480de54b1356216cec6aaac560e1abf301c99c56f22a645c835c8735455da7cd94224298a6a8c221fb10ba6938850f3d6a79766d84c402f00
EBUILD ripe-atlas-tools-1.2.2.ebuild 1278 SHA256 a649b5a5f08d8a31f6258e5eeed07190781ddc72209c2b29ac789e2cd9ea8d49 SHA512 12c682e2157919cbdd005fe846010c9bb02c2f0b70e8c6aeef4ea6efe6834e292084f3c0a506dd8259ab5bc9c54eca3c886d9ea54784bc576a039c7bde5b68e5 WHIRLPOOL 11356c4c0a468c0c1bc75aa66a500cabe8f0da7942881026a70260aab5608ca20a1e30e773851ba55c6be473dbd668f39013d8bb0da618f0e6e7b3abf4708342
+EBUILD ripe-atlas-tools-1.2.3-r1.ebuild 1306 SHA256 40391e35fe44e11877fd3cc88801006720c637033a346788b46593766300f35d SHA512 d19e7971c680311adc89bd4ab3388bc1e446d3896aced6fa173982d671e6337718628e6cc9022a1448d70c692cfd490f3344564e9ab3cd0361d408454d08b107 WHIRLPOOL 197afd4b2c536eab95fbeda535883ca02ecb33079ad39b65f166678bd4fcb3347775b4170b24afdff1695e25965bb071a01a0140b05e3c31143126e8325f3682
EBUILD ripe-atlas-tools-1.2.3.ebuild 1308 SHA256 a139f72399bd437cf9723b06f62147257fa7161489c02653273b632ae2b491a2 SHA512 a95bb670debc4c5c4d9d8014783c9e4dc5c036f91ac482bfcf7e2bba7100bcecbda9c0f37a909f07f607ca0c711e1beba75a8b26af91609729deb17df90fa9fe WHIRLPOOL 711e1542a987637c7897e8dc7dbb0322d44c87322ff12094f4091100bc4802cfa4d42fd40fae514103f7ae933ae971361755a8fcffc50ee717fbbb7e9091d835
MISC metadata.xml 523 SHA256 950faa567998fcc1ae440778eee961376693f6414f07ce08ab49cacc31680dad SHA512 e1d1bfcfeec6ef799e20d0133bd577d8a7106d4828eecff1c4d2baced482067d40023bbd4539d2b2407504fb9055d52beab22d3bc829ceee647fad570dbcd1d7 WHIRLPOOL 3841103376f373e9f4b7bb4611673dd6d9647538e78ab312035eae341ca7371652a75bb26ecee4ef962075543cd481d9e18d365611e17559fa6a1b8e84d7759c
diff --git a/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3-r1.ebuild b/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3-r1.ebuild
new file mode 100644
index 00000000000..3a226ce01b8
--- /dev/null
+++ b/net-analyzer/ripe-atlas-tools/ripe-atlas-tools-1.2.3-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_4 )
+
+inherit distutils-r1
+
+MY_PN=${PN//-/.}
+DESCRIPTION="The official command-line client for RIPE Atlas"
+HOMEPAGE="https://atlas.ripe.net/"
+SRC_URI="mirror://pypi/${PN:0:1}/ripe.atlas.tools/ripe.atlas.tools-${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+DOCS=( CHANGES.rst README.rst )
+
+RDEPEND="
+ >=net-libs/ripe-atlas-sagan-1.1.10[${PYTHON_USEDEP}]
+ >=www-client/ripe-atlas-cousteau-1.2[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/tzlocal[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/ujson[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7) )"
+
+python_test() {
+ nosetests --verbose || die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+ echo "RIPE Atlas Tools (Magellan) [Gentoo Linux] ${PVR}" > \
+ ${D}$(python_get_sitedir)/ripe/atlas/tools/user-agent
+}